@import url('https://fonts.googleapis.com/css2?family=Jost:wght@400;600&display=swap');

*{
	font-family: 'Times New Roman', serif;
	list-style: none;
	text-decoration: none;
	margin: 0;
	padding: 0;
	box-sizing: border-box;/* 这是一个注释 */
}

body{
	/*  background: linear-gradient(to right, #e3f2f1, #bfd4d3); */
}


/* 新增标题 */
h2 {
    font-size: 24px;
    font-weight: bold;
    color: #14716e;  /* 设置标题的颜色 */
    margin-bottom: 10px;  /* 设置标题和内容之间的间距 */
}





.sidebar-active .vertical_wrap {
  visibility: visible;
  /* 你可以选择添加其他样式来显示侧边栏 */
  position: absolute;
  left: 0;
  transition: left 0.3s ease-in-out;
}
/* 新增标题 */





.wrapper{
	margin: 0 10px;
}

.wrapper_inner{
	position: relative;
	width: calc(100% - 60px);  /* 整体始终占 100%，左右各留 30px 间距 */
	height: 850px;
	background: #fff;
	margin: 30px auto;
	border-radius: 25px;
	display: flex;
}

.vertical_wrap{
	position: relative;
	height: 100%;
}

.vertical_bar{
	width: 250px;
	background: #14716e;
	height: 100%;
	border-top-left-radius: 25px;
	border-bottom-left-radius: 25px;
	position: relative;
}

.vertical_bar .profile_info{
	text-align: center;
	padding-top: 0px;
                padding-bottom: 0px;
                padding-left: 25px;   /* 保留左右 */
                padding-right: 25px;
}

.vertical_bar .profile_info img{
	width: 75px;
}

.vertical_bar .profile_info .title{
	font-weight: 600;
	font-size: 30px;
	color: #c99c33;
	letter-spacing: 2px;
}

.vertical_bar .profile_info .sub_title{
	font-size: 14px;
	color: #fff;
}

.vertical_bar .menu{
	padding-left: 0px;
}

.vertical_bar .menu li a{
	/*display: block;*/ 
                display: flex;  
                align-items: center;            /* 垂直居中对齐 */
                justify-content: flex-start;/* 水平左对齐 */
	padding: 15px 0;
	/* text-transform: uppercase;这个属性使文本大写 */
	color: #fff;
	letter-spacing: 0px;   /* 每个字母之间多留 2px 的空隙 */
	border-top-left-radius: 25px;
	border-bottom-left-radius: 25px;
	margin-bottom: 1px;
                font-size: 20px;
                font-weight: bold;
                
}

.vertical_bar .menu li a .icon{
	color: #c99c33;
	width: 25px;
	display: inline-block;
}

.vertical_bar .menu li a:hover,
.vertical_bar .menu li a.active{
	background: #fff;
	color: #3d5654;
}

.vertical_bar .social{
	width: 100%;
	display: flex;
	justify-content: center;
	position: absolute;
	bottom: 50px;
}

.vertical_bar .social li a{
	width: 50px;
	height: 50px;
	color: #fff;
	border: 1px solid #fff;
	display: inline-block;
	border-radius: 50%;
	text-align: center;
	line-height: 50px;
	margin: 0 10px;
}

.vertical_bar .social li a:hover{
	color: #c99c33;
	background: #fff;
}

.main_container{
	/*  width: calc(100% - 250px); */ 
                flex: 1; /* 自动撑满剩余空间 */
}

.main_container .top_bar{
	height: 60px;
	background: #425c5a;
	border-top-right-radius: 25px;
	padding: 15px 25px;
	display: flex;
	align-items: center;
}

.main_container .hamburger{
	color: #fff;
	font-size: 24px;
	cursor: pointer;
	margin-right: 25px;
	display: none;
}

.main_container .logo{
	font-size: 24px;
	font-weight: 700;
	/*text-transform: uppercase; 这个属性使文本大写 */
	color: #c99c33;
}

.main_container .logo span{
	color: #fff;
}

.main_container .content{
	padding: 25px;
	height: calc(100% - 0px);
	overflow: auto;
              -ms-overflow-style: none;    /* IE 和 Edge  删除滚动条*/
               scrollbar-width: none;       /* Firefox */
                }

.main_container .content::-webkit-scrollbar {
  display: none; /*删除滚动条*/
}


.main_container .content .item{
	background: #e3f2f1;
	padding: 50px;
	margin-bottom: 25px;
}



@media (max-width: 768px){
	.main_container .hamburger{
		display: inline-block;
	}
	.vertical_wrap{
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		visibility: hidden;
	}
	.vertical_bar{
		position: absolute;
		top: 0;
		left: -100%;
		transition: left 0.2s linear;
	}
	.vertical_wrap .backdrop{
		position: absolute;
		top: 0;
		left: 0;
		border-radius: 25px;
		width: 100%;
		height: 100%;
		background: rgba(0,0,0,0.5);
	}
	.main_container{
		width: 100%;
	}
	.main_container .top_bar{
		border-top-left-radius: 25px;
	}
	.wrapper.active .vertical_wrap{
		visibility: visible;	
	}
	.wrapper.active .vertical_bar{
		left: 0;
		transition: left 0.2s linear;
	}
}